Send an Email
curl --request POST \
--url https://api.virtuoussoftware.com/api/Email/Send \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emailId": "<integer>",
"contactIds": [
"<integer>",
"<integer>"
],
"personalizations": [
{
"contactId": "<integer>",
"mergeFields": "<object>"
},
{
"contactId": "<integer>",
"mergeFields": "<object>"
}
],
"sections": "<object>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emailId: '<integer>',
contactIds: ['<integer>', '<integer>'],
personalizations: [
{contactId: '<integer>', mergeFields: '<object>'},
{contactId: '<integer>', mergeFields: '<object>'}
],
sections: '<object>'
})
};
fetch('https://api.virtuoussoftware.com/api/Email/Send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Email/Send"
payload = {
"emailId": "<integer>",
"contactIds": ["<integer>", "<integer>"],
"personalizations": [
{
"contactId": "<integer>",
"mergeFields": "<object>"
},
{
"contactId": "<integer>",
"mergeFields": "<object>"
}
],
"sections": "<object>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Email/Send");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"emailId\": \"<integer>\",\n \"contactIds\": [\n \"<integer>\",\n \"<integer>\"\n ],\n \"personalizations\": [\n {\n \"contactId\": \"<integer>\",\n \"mergeFields\": \"<object>\"\n },\n {\n \"contactId\": \"<integer>\",\n \"mergeFields\": \"<object>\"\n }\n ],\n \"sections\": \"<object>\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Email/Send';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emailId: '<integer>',
contactIds: ['<integer>', '<integer>'],
personalizations: [
{contactId: '<integer>', mergeFields: '<object>'},
{contactId: '<integer>', mergeFields: '<object>'}
],
sections: '<object>'
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));"<object>"{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Emails
Send an Email
Sends an existing Virtuous email to the contacts you list. Send the emailId of the email to use — the Search Emails endpoint returns it — and the contactIds to send it to.
POST
/
api
/
Email
/
Send
Send an Email
Last modified on August 11, 2026
Was this page helpful?
⌘I